Page MenuHomePhabricator

Send Message to creator without needing to 'unreview'/'re-review' the article
Closed, ResolvedPublic5 Story Points

Description

Value proposition

Currently the Send message for the creator and the Mark as reviewed processes are intertwined. A reviewer can only send a message to the creator if the page is not already reviewed. And the button to send message to creator also acts as a mark as reviewed button. These two workflows should be separated because often reviewers need to send a message to the creator without marking the page as reviewed (such as when it's still under review).

To-do:

  • When user hits Mark as reviewed, that only marks the page as reviewed and does not send message to creator.
  • Add a new button Send message to creator which sends a message to the page creator if there is text present in the textarea. The button is disabled if there is no text.
  • Position the elements according the mockup above (with a horizontal separator between the two different steps.
  • The checkmark on the tab turns green only if the page has been marked as reviewed (no relation to whether a message was sent to creator).

Notes:

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2018, 8:23 AM

@Insertcleverphrasehere: Adding PageCuration project tag so this task can be found when looking at PageCuration tasks at https://phabricator.wikimedia.org/tag/mediawiki-extensions-pagecuration/ . No need to add team tags like Growth-Team; that is up to each team (or automatic filters).

JTannerWMF moved this task from Inbox to External on the Growth-Team board.Mar 19 2019, 6:07 PM
JTannerWMF added a subscriber: JTannerWMF.

It appears the CommTech team is working on this.

Niharika triaged this task as Normal priority.Mar 28 2019, 5:17 PM
Niharika updated the task description. (Show Details)
Niharika set the point value for this task to 5.Apr 25 2019, 5:12 PM
Niharika moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
MusikAnimal moved this task from Ready to In Development on the Community-Tech-Sprint board.
Niharika changed the task status from Open to Stalled.May 1 2019, 8:43 PM

We've run into some questions for the community while working on this ticket. We're discussing them on the project page. This ticket is stalled until we have an answer.

@Niharika We might want to take this off the Sprint board until it's ready :)

Niharika changed the task status from Stalled to Open.May 14 2019, 3:31 PM

Looks like we have a decision. The template message is going to be review-agnostic. @MusikAnimal I think we can proceed on this task now, right?

MusikAnimal removed MusikAnimal as the assignee of this task.May 22 2019, 4:19 PM
MusikAnimal moved this task from In Development to Ready on the Community-Tech-Sprint board.
MusikAnimal added a subscriber: MusikAnimal.
HMonroy claimed this task.Jun 11 2019, 9:07 PM
HMonroy added a comment.EditedJun 20 2019, 9:47 PM

@Niharika In the code, there was some previous functionality were if the article was marked as Reviewed the message was sent to the reviewer. I could see this behavior now that I'm always displaying the message box. Just to clarify, when the button says "Mark as Unreviewed" the message is also meant to be sent to the creator?

We discussed this in the meeting. Here's a summary:

  • The Review/Unreview and Send a message workflows should be completely decoupled.
  • The Send a message box is always there and the message is always sent to the creator
  • Unreviewing an article sends an automated message to the prior reviewer (This functionality remains unchanged)

Change 519578 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/extensions/PageTriage@master] Separate mark as review/unreview and send message to page creator workflows

https://gerrit.wikimedia.org/r/519578

@HMonroy After checking out your patch, when I click the "Mark as reviewed" button it becomes disabled and there is a little spinner, but nothing happens (in the UI) after this to indicate the action has been successful (which it has).

It stays like this.

HMonroy added a comment.EditedJun 28 2019, 5:57 PM

@HMonroy After checking out your patch, when I click the "Mark as reviewed" button it becomes disabled and there is a little spinner, but nothing happens (in the UI) after this to indicate the action has been successful (which it has).


It stays like this.

@dom_walden I was able to replicate this, I've submitted the fix for review. Thank you!

Change 519578 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Separate mark as review/unreview and send message to page creator workflows

https://gerrit.wikimedia.org/r/519578

  • When user hits Mark as reviewed, that only marks the page as reviewed and does not send message to creator.

"Review" and "Unreview" function as they do previously (as recorded in Special:Log and status of Green/Grey tab).

@Insertcleverphrasehere @ifried It should be noted that, when Unreviewing, it is no longer possible to add a custom message for the previous reviewer. Is this ok?

It just posts a generic message to the previous reviewer (e.g. https://en.wikipedia.org/wiki/Template:Unreviewednonote-NPF).

  • Add a new button Send message to creator which sends a message to the page creator if there is text present in the textarea. The button is disabled if there is no text.

It is still possible to send a message to the creator's User_talk page.

The template it uses now is {{subst:Sentnote-NPF|..., which I see is not on en.wiki (it would be https://en.wikipedia.org/wiki/Template:Sentnote-NPF). @Insertcleverphrasehere @ifried Who needs to know in order for this to be created?

An example of what it puts on a user's talk page:

{{subst:Sentnote-NPF|1=Page Title|2=Reviewer Username|3=Message for creator}}
  • Position the elements according the mockup above (with a horizontal separator between the two different steps.

It looks as it does in the screenshot in the description above :)

  • The checkmark on the tab turns green only if the page has been marked as reviewed (no relation to whether a message was sent to creator).

Turns green appropriate to reviewed/unreviewed status.

Unreviewing someone else's review is a strong act that has caused conflict in the past. The inability to send a message noting why is less than great in my thinking.

ifried added a comment.EditedJul 30 2019, 9:50 PM

Hey there, I'm posting some general updates on this ticket (see below):

Request for Templates

For this new update to work, we’re requesting that the community adds the following template: Sentnote-NPF. This template is already being called in the code, so we’ll need it added in order for the new custom message template (sent to page authors) to be available.

Customized Message Clarification

This work required that we decouple two sections that were previously tied together: a) “mark as reviewed,” b) send a message to the creator process. When these two sections were tied together, they would adapt to one another. For example, if one reviewer unreviewed someone else’s work, the message would be sent to the reviewer (which would display on the user’s talk page). Otherwise, the default behavior was to send a message to the page creator.

Now that we have decoupled these two functions, the process is different. The message section is now meant to notify the page creator. The message is also posted to article talk page. Meanwhile, if someone unreviews someone’s work, a general message (i.e. not customizable) will be sent to the previous reviewer’s user talk page. This message is only sent if the current reviewer is different than the previous reviewer. To be clear, the user can still manually write a customized message directly on the talk page (this will just not be possible via the messaging tool, as we’ve decoupled the processes).

In short, this change occurred because we needed to decouple the two functions, and we needed to do it in a streamlined way (as we’re balancing many projects and requests). Would this cause a significant issue for reviewers?

Pinging @Barkeep49 and @Insertcleverphrasehere, so they can chime in regarding the two points mentioned in my previous message. Thanks!

@ifried I have not been active this week so apologize for the slow response. Separating out the functions is no issue that I can foresee. Making a template should be rather straight forward too. What's the name of the template that the toolbar calls now to leave a message? Changing that to work for Sentnote-NPF seems like it should be straight forward.

This comment was removed by Barkeep49.
ifried added a comment.Aug 7 2019, 5:23 PM

@Barkeep49 Thanks for your response and flexibility regarding the changes! The template toolbar is now calling Sentnote-NPF, so if the community updates the template, the changes should then be available. In that case, the community can let me know (on Phabricator, Wikipedia, or meta) when the template has been updated, and then I can resolve this ticket. Thanks!

So far kupdung is the only one who has expressed an opinion. I asked you a question at WT:NPR. Pending your answer I'll suggest a template and if no one objects within a day or two will implement it.

@Barkeep49 Thanks for the update. I just responded to the question on WT:NPR. I hope that I sufficiently answered the question -- but, if I did not, I'm happy to elaborate. In that case, I'll wait for an update regarding implementation of the template or any other questions posed by the community.

Template:Sentnote-NPF now exists and I think this is ready to go live - sorry for the delay. Work continues to be busier than normal and so I've not had as much Wikipedia time as usual.

Thanks, @Barkeep49, for the update. In that case, the changes should all be live and ready to test. Can you let us know if these changes are working as expected on production, when you get a chance? Thank you!

@ifried So the sending the note without reviewing works properly, so yeah. Am I correct that there is no way to both review and send a note?

@Barkeep49 Thanks for verifying. Yes, the processes have been completely decoupled, so each action (i.e. reviewing and sending a note) would need to be triggered separately. I'm marking this work as resolved, as we've now verified the behavior (as described in the requirements) on production. Thanks!

ifried closed this task as Resolved.Aug 17 2019, 12:17 AM

@Barkeep49 Thanks for verifying. Yes, the processes have been completely decoupled, so each action (i.e. reviewing and sending a note) would need to be triggered separately. I'm marking this work as resolved, as we've now verified the behavior (as described in the requirements) on production. Thanks!

Maybe we could also decouple the addition of tags? T148353 and T221514 are use cases

@DannyS712 The Community Tech team is currently only focusing on Page Curation updates that were part of the 2019 Community Wishlist. However, if you're interested in further Page Curation improvements, requests can be forwarded to the Growth team (which typically manages Page Curation) or canvassed for the 2020 Community Wishlist. Thanks!